> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project



## OpenAPI

````yaml /deasy-openapi-stainless.yml put /projects/{project_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /projects/{project_id}:
    put:
      tags:
        - Projects
      summary: Update Project
      operationId: update_project_projects__project_id__put
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            project = client.projects.update(
                project_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                name="name",
            )
            print(project.id)
        - lang: JavaScript
          source: >-
            import UnstructuredClient from 'unstructured-sdk';


            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });


            const project = await
            client.projects.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
              name: 'name',
            });


            console.log(project.id);
components:
  schemas:
    UpdateProjectRequest:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        data_source:
          items:
            type: string
          type: array
          title: Data Source
        data_slice:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Slice
        taxonomy:
          items:
            type: string
          type: array
          title: Taxonomy
        sensitive_data:
          type: boolean
          title: Sensitive Data
          default: false
        unique_data:
          type: boolean
          title: Unique Data
          default: false
        relevant_data:
          type: boolean
          title: Relevant Data
          default: false
      type: object
      required:
        - name
      title: UpdateProjectRequest
    ProjectResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          title: User Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        data_source:
          items:
            type: string
          type: array
          title: Data Source
        data_slice:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Data Slice
        taxonomy:
          items:
            type: string
          type: array
          title: Taxonomy
        sensitive_data:
          type: boolean
          title: Sensitive Data
          default: false
        unique_data:
          type: boolean
          title: Unique Data
          default: false
        relevant_data:
          type: boolean
          title: Relevant Data
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - user_id
        - name
        - created_at
        - updated_at
      title: ProjectResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````